Bug 1312231 (CVE-2016-0729) - CVE-2016-0729 xerces-c: parser crashes on malformed input
Summary: CVE-2016-0729 xerces-c: parser crashes on malformed input
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-0729
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
: 1296042 1296051 (view as bug list)
Depends On: 1312234 1312232 1312233 1314280 1314281 1314282 1314283
Blocks: 1296045 1312235
TreeView+ depends on / blocked
 
Reported: 2016-02-26 08:10 UTC by Andrej Nemec
Modified: 2019-09-29 13:45 UTC (History)
24 users (show)

Fixed In Version: xerces-c 3.1.3
Doc Type: Bug Fix
Doc Text:
It was discovered that the Xerces-C XML parser did not properly process certain XML input. By providing specially crafted XML data to an application using Xerces-C for XML processing, a remote attacker could exploit this flaw to cause an application crash or, possibly, execute arbitrary code with the privileges of the application.
Clone Of:
Environment:
Last Closed: 2019-06-08 02:48:55 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:0430 normal SHIPPED_LIVE Important: xerces-c security update 2016-03-10 20:11:38 UTC

Description Andrej Nemec 2016-02-26 08:10:58 UTC
The Xerces-C XML parser mishandles certain kinds of malformed
input documents, resulting in buffer overlows during processing and error
reporting. The overflows can manifest as a segmentation fault or as memory
corruption during a parse operation. The bugs allow for a denial of service
attack in many applications by an unauthenticated attacker, and could
conceivably result in remote code execution.

External references:

http://xerces.apache.org/xerces-c/secadv/CVE-2016-0729.txt

Upstream patch:

http://svn.apache.org/viewvc?view=revision&revision=1727978

Comment 1 Andrej Nemec 2016-02-26 08:11:51 UTC
Created mingw-xerces-c tracking bugs for this issue:

Affects: fedora-all [bug 1312233]

Comment 2 Andrej Nemec 2016-02-26 08:12:04 UTC
Created xerces-c tracking bugs for this issue:

Affects: fedora-all [bug 1312232]
Affects: epel-6 [bug 1312234]

Comment 4 Stefan Cornelius 2016-03-03 10:45:58 UTC
*** Bug 1296051 has been marked as a duplicate of this bug. ***

Comment 5 Stefan Cornelius 2016-03-03 10:46:04 UTC
*** Bug 1296042 has been marked as a duplicate of this bug. ***

Comment 8 Stefan Cornelius 2016-03-09 11:36:43 UTC
Acknowledgments:

Name: Gustavo Grieco

Comment 9 errata-xmlrpc 2016-03-10 15:11:52 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:0430 https://rhn.redhat.com/errata/RHSA-2016-0430.html

Comment 10 Fedora Update System 2016-04-12 09:39:11 UTC
xerces-c-3.1.3-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-04-13 07:21:09 UTC
xerces-c-3.1.3-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-04-18 03:49:46 UTC
xerces-c-3.1.3-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-07-05 04:57:51 UTC
mingw-xerces-c-3.1.4-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-07-06 05:51:17 UTC
mingw-xerces-c-3.1.4-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-07-06 05:54:41 UTC
mingw-xerces-c-3.1.4-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.